gnutls_certificate_type_list(3)

NAME
gnutls_certificate_type_list - Get a list of supported certificate types

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_certificate_type_t * gnutls_certificate_type_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of certificate types. Note that to be able to use OpenPGP certificates, you must link to libgnutls-extra and call gnutls_global_init_extra().

RETURNS
a zero-terminated list of gnutls_certificate_type_t integers indicating the available certificate types.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.